Package com.mockobjects.util

# Class SuiteBuilder

java.lang.Object
com.mockobjects.util.SuiteBuilder

public class SuiteBuilder extends Object
Singleton to fill in a JUnit Test composite for use in a suite method.

## Constructor Summary

Constructors
Constructor
Description
`SuiteBuilder()`

## Method Summary

Modifier and Type
Method
Description
`static junit.framework.TestSuite`
`buildTest(Class allTestsClass)`
`static junit.framework.TestSuite`
`buildTest(Class allTestsClass, ErrorLogger logger)`
`static boolean`
`isAddMethod(Method m)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SuiteBuilder

public SuiteBuilder()

## Method Details

### buildTest

public static junit.framework.TestSuite buildTest(Class allTestsClass)

### buildTest

public static junit.framework.TestSuite buildTest(Class allTestsClass, ErrorLogger logger)

### isAddMethod

public static boolean isAddMethod(Method m)